/* Gnofract -- a little fractal generator-browser program
 * Copyright (C) 1999 2000  Aurelien Alleaume
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <gnome.h>
#include "fract.h"


inline struct rgb test_mandelbrot(double X, double Y, int eject_val, int nbit_max, struct rgb *cmap)
{

	register double a = 0, atmp = 0, b = 0;
	struct rgb pixel = { 0, 0, 0 };
	int n = 0;
	while ((a * a + b * b) <= eject_val && n < nbit_max) {
		atmp = a * a - b * b + X;
		b = 2 * a * b + Y;
		a = atmp;
		n++;
	}
	if ((a * a + b * b) > eject_val)
		pixel = cmap[n % 256];
	return pixel;
}
